Subject: bug#25303: 24.5; `write-region' enhancement request for MUSTBENEW parameter

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 28 Jul 2019 11:52:46 +0200

Drew Adams <[email-masked]> writes:

>> > If parameter MUSTBENEW is not `excl' and is non-nil then the user is
>> > prompted to confirm overwriting.  The enhancement would be that if
>> > the value is a string then use that as the confirmation prompt.
>> >
>> > The would allow for more specific prompting, such as saying something
>> > more than that the file exists - something that can help the user decide
>> > whether to overwrite.
>> 
>> I think that does make some sense, but do you have a specific scenario
>> in mind?  What kind of prompt would help the user more than the
>> standard prompt here?
>
> I might have had a specific scenario in mind when
> I filed the request 3 years ago, but if so it's
> forgotten by now. ;-)  Especially since there's
> no real workaround to realize the requested
> behavior easily.

OK; closing this bug report.  If somebody has a specific need for this,
they'll open a new bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no